commit 52a39ca60d5d3fcf48a7e0b7cbc6e9c3c2fb8bae
Author: freddy77 <freddy77>
Date:   Mon Jun 8 19:39:39 2009 +0000

    avoid improper fall through on error

diff --git a/ChangeLog b/ChangeLog
index 51325bd..4a3a8a9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jun  8 21:39:32 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c: avoid improper fall through on error
+
 Mon Jun  8 20:38:45 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* BUGS: updated
 
@@ -1617,4 +1620,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2806 2009/06/08 18:38:52 freddy77 Exp $
+$Id: ChangeLog,v 1.2807 2009/06/08 19:39:39 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index f4e8b6b..d6a513b 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.190 2009/06/06 01:42:29 jklowden Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.191 2009/06/08 19:39:39 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -1958,9 +1958,9 @@ _ct_get_client_type(int datatype, int usertype, int size)
 			return CS_REAL_TYPE;
 		} else if (size == 8) {
 			return CS_FLOAT_TYPE;
-		} else {
-			fprintf(stderr, "Error! unknown float size of %d\n", size);
 		}
+		fprintf(stderr, "Error! unknown float size of %d\n", size);
+		break;
 	case SYBMONEY:
 		return CS_MONEY_TYPE;
 		break;
@@ -1972,9 +1972,9 @@ _ct_get_client_type(int datatype, int usertype, int size)
 			return CS_MONEY4_TYPE;
 		} else if (size == 8) {
 			return CS_MONEY_TYPE;
-		} else {
-			fprintf(stderr, "Error! unknown money size of %d\n", size);
 		}
+		fprintf(stderr, "Error! unknown money size of %d\n", size);
+		break;
 	case SYBDATETIME:
 		return CS_DATETIME_TYPE;
 		break;
@@ -1986,9 +1986,8 @@ _ct_get_client_type(int datatype, int usertype, int size)
 			return CS_DATETIME4_TYPE;
 		} else if (size == 8) {
 			return CS_DATETIME_TYPE;
-		} else {
-			fprintf(stderr, "Error! unknown date size of %d\n", size);
 		}
+		fprintf(stderr, "Error! unknown date size of %d\n", size);
 		break;
 	case SYBNUMERIC:
 		return CS_NUMERIC_TYPE;

